## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# scfImplementationExt4< Class, Super, I1, I2, I3, I4 > Class Template Reference

List of all members.

## Public Member Functions

void * | QueryInterface (scfInterfaceID id, scfInterfaceVersion version)

## Protected Types

typedef scfImplementationExt4< Class,Super,I1, I2, I3, I4 > | scfImplementationType

## Protected Member Functions

template<class T1, class T2, class T3, class T4, class T5, class T6>
| scfImplementationExt4 (Class *object, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6)
template<class T1, class T2, class T3, class T4, class T5>
| scfImplementationExt4 (Class *object, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5)
template<class T1, class T2, class T3, class T4>
| scfImplementationExt4 (Class *object, T1 t1, T2 t2, T3 t3, T4 t4)
template<class T1, class T2, class T3>
| scfImplementationExt4 (Class *object, T1 t1, T2 t2, T3 t3)
template<class T1, class T2>
| scfImplementationExt4 (Class *object, T1 t1, T2 t2)
template<class T1>
| scfImplementationExt4 (Class *object, T1 t1)
| scfImplementationExt4 (Class *object)
virtual | ~scfImplementationExt4 ()

## Protected Attributes

Class * | scfObject

## Detailed Description

### template<class Class, class Super, class I1, class I2, class I3, class I4>
class scfImplementationExt4< Class, Super, I1, I2, I3, I4 >

Definition at line 1316 of file scf_implgen.h.

The documentation for this class was generated from the following file:

- csutil/scf_implgen.h